local base = _G

--[[
	把事件拆分成系统能理解的最原始的事件
	其他所有的高级事件都是在这几个事件的
	基础之上组合起来的
--]]

function touchDown(x,y,slot)
	if slot==nil then
		touchDown(x,y)
	else
		touchDownB(x,y,slot)
	end
	logd("coming","touchDown")
end

function touchMove(x,y,slot)
	if slot==nil then
		touchMove(x,y)
	else
		touchMoveB(x,y,slot)
	end
	logd("coming","touchMove")
end

function touchUp(slot)
	if slot==nil then
		touchUp()
	else
		touchUpB(slot)
	end
	logd("coming","touchUp")
end

--require ("gamemain")
--gamemain.startup()
--main()
